<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="HASHED_DICTIONARY_NODE.html"><font color="#008000">HASHED_DICTIONARY_NODE</font></a>[<font color="#008000">V</font>,<font color="#008000">K</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> :=<font color="#BC8F8F">"Auxilliary class to implement DICTIONARY[V,K]."</font>;
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_any_hashed_dictionary_node</font></strong>:<a href="ANY_HASHED_DICTIONARY_NODE.html"><font color="#008000">ANY_HASHED_DICTIONARY_NODE</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">item</font></strong>:<font color="#008000">V</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">key</font></strong>:<font color="#008000">K</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next</font></strong>:<a href="HASHED_DICTIONARY_NODE.html"><font color="#008000">HASHED_DICTIONARY_NODE</font></a>[<font color="#008000">V</font>,<font color="#008000">K</font>];
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  The `next' one when some clash occurs.</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_item</font></strong> i:<font color="#008000">V</font> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next</font></strong> n:<a href="HASHED_DICTIONARY_NODE.html"><font color="#008000">HASHED_DICTIONARY_NODE</font></a>[<font color="#008000">V</font>,<font color="#008000">K</font>] <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> i:<font color="#008000">V</font> <strong><font color="#0000FF">to</font></strong> k:<font color="#008000">K</font> <strong><font color="#0000FF">next</font></strong> n:<a href="HASHED_DICTIONARY_NODE.html"><font color="#008000">HASHED_DICTIONARY_NODE</font></a>[<font color="#008000">V</font>,<font color="#008000">K</font>] :<font color="#008000">SELF</font><-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> i:<font color="#008000">V</font> <strong><font color="#0000FF">to</font></strong> k:<font color="#008000">K</font> <strong><font color="#0000FF">next</font></strong> n:<a href="HASHED_DICTIONARY_NODE.html"><font color="#008000">HASHED_DICTIONARY_NODE</font></a>[<font color="#008000">V</font>,<font color="#008000">K</font>] <-
  
</body>
</html>

